Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 226112 - Unblock Binary CSS Encoding in JavaFX Projects
Unblock Binary CSS Encoding in JavaFX Projects
Status: RESOLVED FIXED
Product: javafx
Classification: Unclassified
Component: Deployment
7.3
All All
: P1 (vote)
: TBD
Assigned To: Petr Somol
issues@javafx
73patch-candidate
:
Depends on:
Blocks: 204758
  Show dependency treegraph
 
Reported: 2013-02-14 12:27 UTC by Stepan Zebra
Modified: 2013-05-31 01:20 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stepan Zebra 2013-02-14 12:27:14 UTC
Function is blocked for all JDKs 7 and 8 since NB 7.3. See issue 221893.

Once a JDK with patch for this problem is released, the function should be unblocked again starting it's version.
Comment 1 Stepan Zebra 2013-04-16 15:49:15 UTC
css2bin is working with recent JDK 8 builds (it might be unblocked for it in trunk), however the bug is still present in current and next JDK 7 updates, so there will be no change for NB 7.3.1
Comment 2 Petr Somol 2013-05-29 14:30:01 UTC
At last it became clear in which JDK version the css-to-bss convertor works; it works only in JDK7u14 and then in JDK7u40+ but in no other JDK7. It works in JDK8. We adjusted the buildscripts accordingly: in those JDKs where it does not work it is bypassed and a warning is issued, in those where it does work it is used.

fixed in jetmain
http://hg.netbeans.org/jet-main/rev/528228bfeadc
Comment 3 Quality Engineering 2013-05-31 01:20:33 UTC
Integrated into 'main-golden', will be available in build *201305302301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/528228bfeadc
User: Petr Somol <psomol@netbeans.org>
Log: #226112 - Unblock Binary CSS Encoding in JavaFX Projects


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo